Ticket #2844 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

推奨ブラウザ以外のブラウザでPC版の利用に支障をきたすものがある

Reported by: pnetan Assigned to: takai
Priority: major Milestone: OpenPNE2.13.3
Component: pne-xhtmlcss Version: 2.12.x & 2.14.x
Keywords: Cc:

Description (Last modified by kudo)

■現象

wiki:pne-spec にある「OpenPNE2.12以降の推奨機種」よりバージョンの低いブラウザで閲覧した場合、SNSの利用に支障をきたす表示不具合がある。

現象例

1. MyHome
TOPのメニュー画像とスケジュールまで表示
マイフレンドリスト、コミュリスト、最新情報などは表示されない

2. 自分の日記の一覧表示
最初は表示されないがリロードすると表示される

3. 自分の日記/他人の日記
TOPのメニュー画像のみ表示
日記の本文はまったく表示されない

4. マイフレンドのHOME
最初は表示されないがリロードすると表示される

5. コミュニティTOP
最初は表示されないがリロードすると表示される
閲覧で可能なのは各トピのタイトルと、
トピ書き込み及びコメント記入欄のみなんです。
アルバムやレビューは全く見れません(^^;
前バージョンで見えていたカレンダーも見れません。

■発生バージョン

  • 2.12系
  • 2.13系

■再現手順

■環境

  • MacOS9
    • NN7.1 / NN7.0
    • IE5.1
  • Mac(バージョン不明)
    • Mozilla1.2
  • Windows(バージョン不明)
    • Mozilla1.2

■関連情報

類似チケット

  • #2144:古いMozillaブラウザによるページ内容の閲覧ができない
  • #2872:MacOS9.2.2で表示不具合

元のDescription

http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=3832 より転記

このたび2.10.7から2.12.1にバージョンアップしたところ
MacOS9+NN7.1ユーザーから「表示に不具合があって見れない」
との報告がありました。

当方にMacの環境がなく確認できませんが
Win2000+NN7.1でも確かに見れないページがありました。
(見れない現象についてはあとで詳細を書きます)

NNに関しては対象ブラウザではないようで恐縮ですが
何かできる対策があれば教えていただければ幸いです。

今のところ次の2点を本人に伝えてあります。

1. 他のブラウザに変えてもらう
→OS9対応のは他にOpera6しかなく、表示が乱れるとのことです。
★もし他に使えるブラウザがあったら教えてください。

2. パソコンを買い換えてもらう
→今すぐには無理とのことです。

そこで、ソースをいじることでできる対応があれば教えてください。

【表示の不具合】
(私自身にMacがないので、Win2000+NN7.1で確認)
※PNE2.12.1+Biz使用に以下の拡張モジュールを導入しています。
bbcode090+bbcode090-openpne2121templates012+mynets-editor4openpne021+mynets-sidebox4openpne041

ただし、このCOMMUNITY SNSでも現象は変わりません。


1. MyHome
TOPのメニュー画像とスケジュールまで表示
マイフレンドリスト、コミュリスト、最新情報などは表示されない

2. 自分の日記の一覧表示
最初は表示されないがリロードすると表示される

3. 自分の日記/他人の日記
TOPのメニュー画像のみ表示
日記の本文はまったく表示されない

4. マイフレンドのHOME
最初は表示されないがリロードすると表示される

5. コミュニティTOP
最初は表示されないがリロードすると表示される

6. コミュ掲示板
一覧表示、各記事表示とも正常に表示される

(ただし、書き込みテストはおこなっていません。)

以上です。
正常に表示できるよう方法があれば教えてください。
無理であれば、その旨教えてください。
よろしくお願いします。

Attachments

20080925_f_bookmark_add.png (68.5 kB) - added by kiwa on 09/25/08 17:24:15.
comment:16 の再現画像
20080925_c_topic_list.png (3.0 kB) - added by kiwa on 09/25/08 19:13:51.
comment:19 の再現画像

Change History

07/18/08 12:20:51 changed by ogawa

  • component changed from 指定しない to pne-xhtmlcss.

08/26/08 14:52:47 changed by kiwa

  • priority changed from minor to major.
  • summary changed from PNE2.12.1+MacOS9+NN7.1で表示不具合 to 推奨ブラウザ以外のブラウザで閲覧できない.

似た様な報告が多数あるのでsummaryを変更します。

08/26/08 15:01:02 changed by kiwa

  • description changed.
  • summary changed from 推奨ブラウザ以外のブラウザで閲覧できない to 推奨ブラウザ以外のブラウザでPC版の閲覧ができない.

08/26/08 15:35:51 changed by kiwa

  • description changed.

#2144 の情報を追加しました。

08/26/08 15:39:45 changed by kiwa

  • keywords deleted.

「再現待ち」キーワード外しました

08/29/08 17:52:44 changed by takai

  • owner changed from nobody to takai.
  • status changed from new to assigned.

09/19/08 20:56:25 changed by takai

修正に関して

いくつかのCSS関連の修正に関して、ここでまとめて修正の方針を示します。

  • 2.12.3 の xhtml_style.php を基に修正を行っています。
  • 2.12.4 で取り込まれている修正も、以下に示す修正に含まれています。
    • 2.12.3 と 2.12.4 の xhtml_style.php の差分は無視してしまっても問題ありません。

CSSの修正履歴 リビジョン : org_xhtml_style.php

一連の修正では前述のマークアップ修正を除いて、xhtml_style.php しか修正していません。

xhtml_style.php に関しては、いきなり r8417 を適用してしまって問題ありません。

本チケットの問題について

  • 古いMozilla(ver1.2)で見られない #2144
  • MacOS9.2環境で各種ブラウザで見られない #2872
  • MacOS9+NN7.1で見られず、Win2000+NN7.1でも不具合を確認した #2844

3つのチケットがありますが、報告は次のような内容です。

  • Windows / Mac 両方の Moz1.2 でページが閲覧できない
    • 報告記事では、スクロールすると残像が残り描画が滅茶苦茶になる画像が提示されていた。
  • MacOS9.2.2 の IE5.1 / NN7.0 で、一部を除いて内容の表示がされない
  • MacOS9 + NN7.1 で表示に不具合があって見れない
    • 一部を除いて内容が表示されていない、リロードするといくつか表示される
  • Win2000 + NN7.1 でも見れないページがあった(報告からは詳細は不明)
  • MacOS9では、NN7.x以外には Moz1.x, Opera6, iCab3, IE5.x くらいしか利用できるブラウザがない
    • iCab3 はMacOS9の環境(スペック)によって、安定した利用ができなかった
    • Opera6 はCSS実装状況が不十分で表示に支障がある
  • 結果的に、MacOS9では、NN7.x, Moz1.x, IE5.x あたりに対応させる必要が生じた

検証結果について

  • MacOS9環境が整わない間はWindowsXP上で NN7.1, Moz1.2 を動作させて検証した
    • Win NN7.1 では致命的な不具合は生じなかった
    • Win NN7.02 では内容が表示されない現象を確認した
    • Moz1.2 では少しでもスクロールした状態だとリンクがクリックできない状況を確認した
  • MacOS9環境で検証したところ、報告のような不具合を確認できた
    • NN7.02 では、スクロールすると残像が残り描画が滅茶苦茶になった
    • Moz1.2 も同様
    • IE5.2 では、残像は残らないものの IE5.x 系の致命的なバグによって利用に支障があった
    • iCab3.0.5 では、ある程度快適な利用ができたが、若干の実装不備があり一部の表示が崩れた
  • MacOS9 NN7.02 / Moz1.2 での検証を主に進め、不具合が生じる原因とブラウザのバグを把握できた。
    • NN7.02 では、overflow: hidden が指定されたボックスが入れ子になり、ある条件が加わると内容が表示されなくなる
      • 一つの条件は、その入れ子のボックスの高さがある程度確保される場合
    • Moz1.2 + NN7.02 では、overflow: -moz-scrollbars-none が指定されているとそのボックスの描画に不具合が生じる
      • スクロール可能なはずのボックスに指定されていると、レンダリングに支障が生じた

結論として、CSSから -moz-scrollbars-none の記述を外し、これによって実現できていたことを別の方法で行うとともに、overflow: hidden の指定を見直すことでMacOS9のNN7.x, Moz1.xでも致命的な不具合を生じさせずに表示させることが可能になる。

まとめ

  • OpenPNEのバージョンは、2.11.x, 2.12.x, (2.13.x)
    • XHTML+CSS化をしたバージョン
  • MacOS9 の NN7.x, Moz で不具合
  • Win の NN7.02, Moz で不具合
    • 原因は overflow: -moz-scrollbars-none を指定していること
  • MacOS9 の Opera6 で不具合
  • MacOS9 の IE5.x で不具合
    • ブラウザの実装状況が酷いので対応しない
  • MacOS9 の iCab3 では利用できる
    • iCab 自体を安定して起動できるかが問題
  • Windows のモダンブラウザ及び、MacOSX のモダンブラウザでは本件の問題は起こらない。

今回の修正で、MacOS9 NN7.x, Moz1.x は致命的な問題なく利用できるようになるはずです。また、Win NN7.02, Moz1.x での不具合も解消されます。

overflow: hidden を指定していた要素を一気に書き換えたため、この指定による一時的な不具合が見られる可能性があります。 具体的には、長い英字列や━記号の連続などがボックスと突き抜けたり、逆に表示されるべき内容がボックスサイズに制限されるといったことが生じるかもしれません。

今回の修正に対しては、問題がないか多くのページを確認する作業ができていないので、不具合かと思われる現象が生じた場合は報告いただけると幸いです。

09/19/08 20:59:32 changed by takai

  • keywords set to 確認中.

09/20/08 17:38:03 changed by takai

※リンクに失敗していたので張りなおしておきます。

  • #2994 【2.12.3のCSSを修正】positionをfloatにする
  • #2990 formTableのcheckListの文字列が、Netscape7.x,Mozilla1.xで表示されない
  • #2997 formTableの公開レベル選択が隠れている
  • #2981 フッタの上部の余白が多すぎる
  • #2958 2.12.x以降のCSS、clearfix手法を見直す

09/22/08 11:49:01 changed by ebihara

  • keywords deleted.
  • milestone set to OpenPNE2.13.3.

検証・対応ありがとうございます。お疲れさまです。

推奨ブラウザ環境で致命的な不具合が発生しないかどうかをテストしてもらい、 2.13.3 に取り込ませていただきます。

09/22/08 15:03:40 changed by ebihara

以下の通りに対応をおこないます。

  • xhtml_style.php の修正: r8417
  • #2990 formTableのcheckListの文字列が、Netscape7.x,Mozilla1.xで表示されない
    • マークアップ修正
      • .checkList 周辺のマークアップ
        • c_event_invite.tpl
        • c_event_mail.tpl
        • c_event_mail_confirm.tpl
        • c_invite.tpl
        • f_invite.tpl
        • h_config_prof.tpl
        • h_regist_prof.tpl
        • o_regist_prof.tpl
  • #2994 【2.12.3のCSSを修正】positionをfloatにする
    • マークアップ修正
      • .pagerRelativeMulti 周辺のマークアップ (中にページャ以外の p 要素が存在するもの)
        • c_event_list.tpl
        • c_topic_list.tpl
        • h_message_box.tpl
        • 他にあれば
      • .formTable .partsHeading p.link 周辺のマークアップ
        • h_config_prof.tpl
        • 他にあれば
  • #2997 formTableの公開レベル選択が隠れている
    • マークアップ修正なし
  • #2981 フッタの上部の余白が多すぎる
    • マークアップ修正なし
  • #2958 2.12.x以降のCSS、clearfix手法を見直す
    • マークアップ修正なし

09/22/08 15:06:11 changed by ebihara

  • summary changed from 推奨ブラウザ以外のブラウザでPC版の閲覧ができない to 推奨ブラウザ以外のブラウザでPC版の利用に支障をきたすものがある.

09/22/08 15:51:48 changed by kiwa

  • type changed from defect to enhancement.

まずは開発版のみで対応するので、defectからenhancementに変更します。

09/22/08 16:01:27 changed by ebihara

r8428 で CSS の修正をマージしました。

09/22/08 17:24:12 changed by ebihara

  • keywords set to 確認中.

r8428, r8430, r8431, r8432 で、comment:11 で提示した対応を trunk に対しておこないました。ご確認ください。

09/25/08 17:22:58 changed by kiwa

  • keywords changed from 確認中 to 差し戻し.

どのチケットが原因か分からないのでこのチケットを差し戻させてもらいます。

version

内容

お気に入り追加画面(pc_page_h_bookmark_add)にて、一部のブラウザでsubmitボタンの上下が見切れてしまう。

Opera9.50
Submitボタンの下側が切れてしまう
Firefox1.5/3.0.1
Submitボタンの上下が切れてしまう

※確認はどちらもWindowsXP(sp3)
※2.12.4(r8467時点)では再現せず

09/25/08 17:24:15 changed by kiwa

  • attachment 20080925_f_bookmark_add.png added.

comment:16 の再現画像

09/25/08 18:08:05 changed by ebihara

comment:16 における指摘事項についてですが、 pc_page_h_bookmark_add において、適切でない searchResultList を用いていたことが原因です(再現せずとなっている 2.14.4 でも、充分な高さを確保できておらず正常な表示ではない)。

おそらく、本件修正によって目に見える形で現象があらわれるようになったということでしょう。

  • このチケットで扱うべき範囲を超えている
  • 安定版においても対応の必要がある

ということで、別チケットにて対応する方針で行きたいと思います。

09/25/08 18:16:57 changed by ebihara

  • keywords changed from 差し戻し to 確認中.

comment:16 の現象について、 #3015 にチケットを作りました。

このチケットは確認中に戻します。

09/25/08 19:13:05 changed by kiwa

  • keywords changed from 確認中 to 差し戻し.

どのチケットが原因か分からないのでこのチケットを差し戻させてもらいます。

version

※2.12.4では再現せず

内容

トピックリスト(pc_page_c_topic_list)のリスト上部にある件数表示が、一段下に下がっている

※イベントリスト(pc_page_c_event_list)では再現せず

09/25/08 19:13:51 changed by kiwa

  • attachment 20080925_c_topic_list.png added.

comment:19 の再現画像

09/25/08 20:13:01 changed by ebihara

  • keywords changed from 差し戻し to 確認中.

commenet:19 の現象について、 r8471 で修正しました。 #2994 に関連する現象でした。

09/26/08 21:56:49 changed by ogawa

  • keywords changed from 確認中 to テスト待ち.

09/26/08 22:08:05 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

推奨環境外のブラウザが手元にないので、テンプレート変更を行った部分に限り推奨環境でレイアウトが崩れないか確認しました。結果、問題ありません。

  • WindowsXP(sp3)
    • InternetExplorer6
    • InternetExplorer7
    • firefox1.5
    • Opera9
    • Safari3

05/25/09 14:31:26 changed by kudo

  • description changed.